Bug 59452 - Kernel boot hangs on Dell Dimension Lxxxr, last line mxt_scan_bios: enter
Kernel boot hangs on Dell Dimension Lxxxr, last line mxt_scan_bios: enter
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-07 23:57 EST by Need Real Name
Modified: 2007-04-18 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 21:14:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-07 23:57:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.2 (X11; Linux i686; U;) Gecko/20020102

Description of problem:
With the latest errata kernel for RedHat Linux 7.2 (2.4.9-21), and even the
errata kernel previous to that one (2.4.9-13), trying to boot a Dell Dimension
L600r with the latest FlashBIOS update (Rev. A14, dated 10/15/2001) without a
keyboard results in the boot process hanging, and the last line displayed
"mxt_scan_bios: enter".  If I boot with a keyboard attached, the boot process is
normal and goes without incident.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot Dell Dimension Lxxxr without a keyboard.

	

Actual Results:  Boot process hangs, and the last line is consistently
"mxt_scan_bios: enter"

Expected Results:  I expect that the boot process should continue normally on a
host that is to be headless and have no keyboard attached (i.e. it has only
power and ethernet attached)

Additional info:

I anticipate if I recompiled the RedHat supplied kernel without 
"Memory eXpansion Technology (MXT) Support" that the expected result would be
the actual result.
Comment 1 Arjan van de Ven 2002-02-11 11:00:51 EST
Can you check which is the NEXT thing after this line for you in the working
case ?
Comment 2 Need Real Name 2002-02-13 06:41:07 EST
In reply to your question, the next line I see after the "mxt_scan_bios: enter"

line is "Starting kswapd v1.8".  Below is the entire dmesg output after the
"mxt_scan_bios: enter" line on a fresh boot with a keyboard attached to the host:

Starting kswapd v1.8
VFS: Diskquotas version dquot_6.5.0 initialized
Detected PS/2 Mouse Port.
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
Real Time Clock Driver v1.10e
block: queued sectors max/low 166901kB/55633kB, 512 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev f9
PIIX4: chipset revision 2
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio
hda: QUANTUM FIREBALLP LM30.0, ATA DISK drive
hdc: Lite-On LTN483S 48x Max, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
blk: queue c0350660, I/O limit 4095Mb (mask 0xffffffff)
blk: queue c0350660, I/O limit 4095Mb (mask 0xffffffff)
hda: 58633344 sectors (30020 MB) w/1900KiB Cache, CHS=3649/255/63, UDMA(66)
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 >
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 2048 buckets, 16Kbytes
TCP: Hash tables configured (established 16384 bind 16384)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 321k freed
VFS: Mounted root (ext2 filesystem).
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 224k freed
Adding Swap: 2096472k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.259 $ time 14:24:48 Jan 17 2002
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 10 for device 00:1f.2
PCI: Setting latency timer of device 00:1f.2 to 64
usb-uhci.c: USB UHCI at I/O 0xef80, IRQ 10
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.251:USB Universal Host Controller Interface driver
EXT3 FS 2.4-0.9.11, 3 Oct 2001 on ide0(3,3), internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.11, 3 Oct 2001 on ide0(3,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.11, 3 Oct 2001 on ide0(3,7), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.11, 3 Oct 2001 on ide0(3,6), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.11, 3 Oct 2001 on ide0(3,5), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
PCI: Found IRQ 12 for device 01:0a.0
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
01:0a.0: 3Com PCI 3c905C Tornado at 0xdc00. Vers LK1.1.16
Comment 3 Geoffrey D. Bennett 2002-02-24 04:01:56 EST
I have the same problem (boot w/o keyboard results in hang after mxt_scan_bios).
 If I boot with a keyboard, the next line displayed is the 'starting kswapd' line.

I tried the suggestion in bug #59822 to add 'nomxt' to the kernel command line,
but that made no difference -- it still hangs right after printing
'mxt_scan_bios: enter'.
Comment 4 Alan Cox 2003-06-07 21:14:00 EDT
Problematic MXT support was removed

Note You need to log in before you can comment on or make changes to this bug.